Package com.treemap.swing.fastvoronoi.originalconvexhull

# Class ASite

java.lang.Object
com.treemap.swing.fastvoronoi.originalconvexhull.Vertex
com.treemap.swing.fastvoronoi.originalconvexhull.ASite

All Implemented Interfaces:
  `iSite`, `Comparable<Site>`

Direct Known Subclasses:
  `Site`

public class ASite extends Vertex implements Comparable<Site>, iSite
A site is a 2 dimensional point which has a weight.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final double`
  `nearlyZero`
  `protected ArrayList<Site>`
  `neighbours`
  `PolygonSimple`
  `nonClippedPolyon`
  `protected double`
  `percentage`
  `protected PolygonSimple`
  `polygon`
  `protected double`
  `weight`

  ### Fields inherited from class com.treemap.swing.fastvoronoi.originalconvexhull.Vertex

  `originalObject, x, y, z`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ASite(double x, double y)`
  `ASite(double x, double y, double weight)`
  `ASite(double x, double y, double weight, double percentage)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Site b)`
  The sites are first ordered according to the x-axis and then according to the y axis
  `double`
  `distance(Site point)`
  Euclid
  `double`
  `distanceCircles(Site point)`
  `ArrayList<Site>`
  `getNeighbours()`
  `double`
  `getPercentage()`
  `Point2D`
  `getPoint()`
  `PolygonSimple`
  `getPolygon()`
  `double`
  `getWeight()`
  `void`
  `setNeighbours(ArrayList<Site> list)`
  `void`
  `setPercentage(double percentage)`
  `void`
  `setPolygon(PolygonSimple poly)`
  `void`
  `setWeight(double weight)`
  `void`
  `setX(double x)`
  `void`
  `setXY(double x, double y)`
  `void`
  `setXYW(double x, double y, double weight)`
  `void`
  `setY(double y)`
  `String`
  `toString()`

  ### Methods inherited from class com.treemap.swing.fastvoronoi.originalconvexhull.Vertex

  `clear, crossProduct, equals, getIndex, getList, getX, getY, isHandled, linearDependent, negate, setHandled, setIndex, setList, subtract, toPoint3D`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### nearlyZero

    protected static final double nearlyZero
    See Also:
      - Constant Field Values

  - ### weight

    protected double weight

  - ### percentage

    protected double percentage

  - ### polygon

    protected PolygonSimple polygon

  - ### nonClippedPolyon

    public PolygonSimple nonClippedPolyon

  - ### neighbours

    protected ArrayList<Site> neighbours

- ## Constructor Details

  - ### ASite

    public ASite(double x, double y)
    Parameters:
      `x` - x-coordinate
      `y` - y-coordinate

  - ### ASite

    public ASite(double x, double y, double weight)
    Parameters:
      `x` - x-coordinate
      `y` - y-coordinate
      `weight` - the weight of the site, where weight=radius*radius which is used for weighting

  - ### ASite

    public ASite(double x, double y, double weight, double percentage)

- ## Method Details

  - ### getPolygon

    public PolygonSimple getPolygon()
    Specified by:
      `getPolygon` in interface `iSite`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Vertex`

  - ### setPolygon

    public void setPolygon(PolygonSimple poly)
    Specified by:
      `setPolygon` in interface `iSite`

  - ### setNeighbours

    public void setNeighbours(ArrayList<Site> list)
    Specified by:
      `setNeighbours` in interface `iSite`

  - ### getNeighbours

    public ArrayList<Site> getNeighbours()
    Specified by:
      `getNeighbours` in interface `iSite`

  - ### getWeight

    public double getWeight()
    Specified by:
      `getWeight` in interface `iSite`

  - ### setWeight

    public void setWeight(double weight)
    Specified by:
      `setWeight` in interface `iSite`

  - ### setXY

    public void setXY(double x, double y)
    Specified by:
      `setXY` in interface `iSite`

  - ### setXYW

    public void setXYW(double x, double y, double weight)
    Specified by:
      `setXYW` in interface `iSite`

  - ### setX

    public void setX(double x)
    Specified by:
      `setX` in interface `iSite`

  - ### setY

    public void setY(double y)
    Specified by:
      `setY` in interface `iSite`

  - ### compareTo

    public int compareTo(Site b)
    The sites are first ordered according to the x-axis and then according to the y axis
    Specified by:
      `compareTo` in interface `Comparable<Site>`

  - ### setPercentage

    public void setPercentage(double percentage)
    Specified by:
      `setPercentage` in interface `iSite`

  - ### getPercentage

    public double getPercentage()
    Specified by:
      `getPercentage` in interface `iSite`

  - ### getPoint

    public Point2D getPoint()
    Specified by:
      `getPoint` in interface `iSite`

  - ### distance

    public double distance(Site point)
    Euclid
    Parameters:
      `point` -
    Returns:

  - ### distanceCircles

    public double distanceCircles(Site point)